ion-content {
    --background: #05f url("../../assets/bg.png") no-repeat center center / cover;
}

.col-640-container {
    width: 640px;
    max-width: 100%;
    margin: auto;
}

.row {
    width: 100%;
    text-align: center;
}

.logo {
    img {
        width: 90px;
        margin: 10vh auto 5vh auto;
    }
}

.title {
    margin: 0px auto;

    p {
        color: #ffffff;
    }

    h1 {
        font-size: 16pt;
        color: #fff;
        margin-top: 0;
        margin-block-start: 0;
    }
}

.large-btn {
    width: 90%;
    height: 66px;
    margin: 60px auto;
    border: solid 1px #ffffff;
    border-radius: 30px;
    line-height: 66px;
    color: #ffffff;
    font-size: 12pt;
    text-transform: none;
}

.form {
    width: 90%;
    margin: 20px auto;
    padding: 20px 0px;
    background-color: #ffffff;
    border-radius: 15px;
    box-shadow: 0px 0px 20px -5px rgba(0,0,0,0.25);;

    input {
        width: 90%;
        border: none;
        border-bottom: 1px solid #ccc;
        padding: 0.75em 0 0.25em 0;
        color: #000;
        font-size: 11pt;
    }

    input:focus {
        outline: none;
        border: none;
        border-bottom: 1px solid #407ffd;
    }
}

.error-row {
    height: 40px;

    .error {
        color: #ff4400;
        font-size: 10pt;
    }
}

.submit-btn {
    margin: 4px auto;
    color: #ffffff;
    font-weight: bold;
    font-size: 14pt;
    text-transform: none;
}

.back-btn {
    padding: 15px;
    color: #fff;

    p {
        display: block;
        width: fit-content;
        margin: auto;
        color: #fff;

        ion-icon {
            display: inline-block;
            vertical-align: middle;
        }
        span {
            display: inline-block;
            vertical-align: middle;
            padding-right: 5px;
        }
    }
}

.loading {
    display: block;
    width: 100%;
    text-align: center;
}

.foot {
    position: absolute;
    bottom: 0;
    width: 100%;
    text-align: center;

    .foot-text {
        margin: auto auto 20px auto;

        p {
            color: #ffffff;
        }

        a {
            color: #fff;
            font-weight: bold;
            text-decoration: underline;
        }
    }
}
